Package org.eclipse.emf.compare.ide.internal.utils

# Class NoNotificationParserPool

java.lang.Object
org.eclipse.emf.ecore.xmi.impl.XMLParserPoolImpl
org.eclipse.emf.compare.ide.internal.utils.NotifyingParserPool
org.eclipse.emf.compare.ide.internal.utils.NoNotificationParserPool

All Implemented Interfaces:
  `XMLParserPool`

public class NoNotificationParserPool extends NotifyingParserPool
This implementation of an `XMLParserPool` aims at disabling all notifications when the `option` is set, including the notifications at the very end of parsing.

This is one of the steps that allows EMF Compare to bypass UML's CacheAdapter when loading UML models from the logical model.

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.internal.utils.NotifyingParserPool

`containmentOnly`

## Constructor Summary

Constructors
Constructor
Description
`NoNotificationParserPool(boolean containmentOnly)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected XMLDefaultHandler`
`createDefaultHandler(XMLResource resource, XMLLoad xmlLoad, XMLHelper helper, Map<?,?> options)`
Create the default (unwrapped) XMLDefaultHandler.

### Methods inherited from class org.eclipse.emf.compare.ide.internal.utils.NotifyingParserPool

`addNamespaceDeclarationListener, addProxyListener, getDefaultHandler, removeNamespaceDeclarationListener, removeProxyListener`

### Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLParserPoolImpl

`get, makeParser, release, releaseDefaultHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoNotificationParserPool

public NoNotificationParserPool(boolean containmentOnly)
Default constructor.

Parameters:
  `containmentOnly` - only set containment reference values. The model will be mostly empty except for its containment tree.

## Method Details

### createDefaultHandler

protected XMLDefaultHandler createDefaultHandler(XMLResource resource, XMLLoad xmlLoad, XMLHelper helper, Map<?,?> options)
Description copied from class: `NotifyingParserPool`
Create the default (unwrapped) XMLDefaultHandler. This is merely a call to `super` but can be sub-classed.

Overrides:
  `createDefaultHandler` in class `NotifyingParserPool`
Parameters:
  `resource` - The resource to load.
  `xmlLoad` - The XML load to pass on tho the handler.
  `helper` - The XML helper to pass on tho the handler.
  `options` - The load options for this resource.
Returns:
  The created XMLDefaultHandler.
See Also:
  - `NotifyingParserPool.getDefaultHandler(XMLResource, XMLLoad, XMLHelper, Map)`